// Mixins
$divider-bg:                                $gray-300 !default;
$divider-spacer-x:                          1.25rem !default;
$divider-margin:                            .5rem !default;


@mixin divider($type) {
    display: inline-flex; // when has not parent flexbox
    align-items: center;
    font-weight: $font-weight-bold;
    @include font-size($font-size-md);
    text-align: center;
    line-height: 1;

    &::before,
    &::after {
        content: '';
        display: block;
        background-color: $divider-bg;
        flex: 1 1 auto;
    }

    @if $type == 'horizontal' {
        width: 100%;
        height: 0;
        padding: $divider-margin 0;

        &::before,
        &::after {
            height: 1px;
            margin: 0 $divider-margin;
        }

    } @else if $type == 'vertical' {
        height: 100%;
        width: 0;
        flex-direction: column;
        padding: 0 $divider-margin;

        &::before,
        &::after {
            width: 1px;
            margin: $divider-margin 0;
        }

    }

    &:empty::before,
    &:empty::after {
        margin: 0;
    }

}


